summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2016-09-02 11:14:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-03 07:17:22 +0700
commita03875334eadead1b0fdb4fd7dc76eb90add3d92 (patch)
tree54a840c56b1680802953a2a34adc2195bc6174b1
parent7074e8450997d9401eafe93ec77fec5fa457df52 (diff)
downloadslackbuilds-a03875334eadead1b0fdb4fd7dc76eb90add3d92.tar.gz
slackbuilds-a03875334eadead1b0fdb4fd7dc76eb90add3d92.tar.xz
python/poster: Added (streaming HTTP uploads).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/poster/README8
-rw-r--r--python/poster/poster.SlackBuild84
-rw-r--r--python/poster/poster.info10
-rw-r--r--python/poster/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/python/poster/README b/python/poster/README
new file mode 100644
index 0000000000..3202755f1b
--- /dev/null
+++ b/python/poster/README
@@ -0,0 +1,8 @@
+poster provides a set of classes and functions to faciliate making HTTP POST
+(or PUT) requests using the standard multipart/form-data encoding.
+
+The modules in the Python standard library don't provide a way to upload large
+files via HTTP without having to load the entire file into memory first.
+
+poster provides support for both streaming POST requests as well as
+multipart/form-data encoding of string or file parameters.
diff --git a/python/poster/poster.SlackBuild b/python/poster/poster.SlackBuild
new file mode 100644
index 0000000000..8bef2ea9b0
--- /dev/null
+++ b/python/poster/poster.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for poster
+
+# Copyright 2016, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=poster
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/poster/poster.info b/python/poster/poster.info
new file mode 100644
index 0000000000..6f5989c323
--- /dev/null
+++ b/python/poster/poster.info
@@ -0,0 +1,10 @@
+PRGNAM="poster"
+VERSION="0.8.1"
+HOMEPAGE="https://atlee.ca/software/poster/"
+DOWNLOAD="https://atlee.ca/software/poster/dist/0.8.1/poster-0.8.1.tar.gz"
+MD5SUM="2db12704538781fbaa7e63f1505d6fc8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/python/poster/slack-desc b/python/poster/slack-desc
new file mode 100644
index 0000000000..84b80de226
--- /dev/null
+++ b/python/poster/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+poster: poster (streaming HTTP uploads and multipart/form-data encoding)
+poster:
+poster: The modules in the Python standard library don't provide a way to
+poster: upload large files via HTTP without having to load the entire file
+poster: into memory first.
+poster:
+poster: poster provides support for both streaming POST requests as well as
+poster: multipart/form-data encoding of string or file parameters.
+poster:
+poster: Homepage: https://atlee.ca/software/poster/
+poster: